/*
 *		s񉉎ZCu
 *
 *		1994.6.5		Copyright T.Kobayashi
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>

#include "lib.h"
#include "_matclas.h"

#include "inlib.h"
#include "err.h"

extern	int		(**SystemFunc)();
void	_MatrixInit( Library* );
void	_MLInit( Library* );

/*	setmat.c	*/
extern	void	InitMatrixLibrary( void );

/*	setvec.c	*/
extern	void	InitVectorLibrary( void );

int		__MatrixClassInit( func )
void	*func ;
{
#ifdef DYNAMIC
	int		id ;
	if ( func != NULL )
	{
		SystemFunc = (int(**)())func ;

		id = LibraryGet( "Matrix Library" );
		if ( id <= 0 )
			return -1 ;
		_MatrixInit( LibraryGetInfo( id ) );

		id = LibraryGet( "Macro Language Library" );
		if ( id <= 0 )
			return -1 ;
		_MLInit( LibraryGetInfo( id ) );
	}
#else
	MatrixInit();
	MLInit();
#endif
	InitVectorLibrary();
	InitMatrixLibrary();

	return 0 ;
}

